OutputStream (Java SE 10 & JDK 10 )
Keywords: org.omg.CORBA.portable.OutputStream class

Module java.corba
Package org.omg.CORBA.portable

## Class OutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.omg.CORBA.portable.OutputStream

- All Implemented Interfaces:
    `Closeable`, `Flushable`, `AutoCloseable`
  Direct Known Subclasses:
    `OutputStream`

      public abstract class OutputStream
      extends OutputStream

  OuputStream is the Java API for writing IDL types to CDR marshal streams. These methods are used by the ORB to marshal IDL types as well as to insert IDL types into Anys. The `_array` versions of the methods can be directly used to write sequences and arrays of IDL types.
  Since:
    JDK1.2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutputStream()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract InputStream` | `create_input_stream()` | Returns an input stream with the same buffer.
    `ORB` | `orb()` | Returns the ORB that created this OutputStream.
    `void` | `write​(int b)` | Writes an integer (length of arrays) onto this stream.
    `abstract void` | `write_any​(Any value)` | Writes an Any on this output stream.
    `abstract void` | `write_boolean​(boolean value)` | Writes a boolean value to this stream.
    `abstract void` | `write_boolean_array​(boolean[] value, int offset, int length)` | Writes an array of booleans on this output stream.
    `abstract void` | `write_char​(char value)` | Writes a char value to this stream.
    `abstract void` | `write_char_array​(char[] value, int offset, int length)` | Writes an array of chars on this output stream.
    `void` | `write_Context​(Context ctx, ContextList contexts)` | Writes a CORBA context on this stream.
    `abstract void` | `write_double​(double value)` | Writes a double value to this stream.
    `abstract void` | `write_double_array​(double[] value, int offset, int length)` | Writes an array of doubles on this output stream.
    `void` | `write_fixed​(BigDecimal value)` | Writes a BigDecimal number.
    `abstract void` | `write_float​(float value)` | Writes a float value to this stream.
    `abstract void` | `write_float_array​(float[] value, int offset, int length)` | Writes an array of floats on this output stream.
    `abstract void` | `write_long​(int value)` | Writes a CORBA long (i.e.
    `abstract void` | `write_long_array​(int[] value, int offset, int length)` | Writes an array of CORBA longs (i.e.
    `abstract void` | `write_longlong​(long value)` | Writes a CORBA longlong (i.e.
    `abstract void` | `write_longlong_array​(long[] value, int offset, int length)` | Writes an array of CORBA longlongs (i.e.
    `abstract void` | `write_Object​(Object value)` | Writes a CORBA Object on this output stream.
    `abstract void` | `write_octet​(byte value)` | Writes a CORBA octet (i.e. byte) value to this stream.
    `abstract void` | `write_octet_array​(byte[] value, int offset, int length)` | Writes an array of CORBA octets (bytes) on this output stream.
    `void` | `write_Principal​(Principal value)` | Deprecated. Deprecated by CORBA 2.2.
    `abstract void` | `write_short​(short value)` | Writes a short value to this stream.
    `abstract void` | `write_short_array​(short[] value, int offset, int length)` | Writes an array of shorts on this output stream.
    `abstract void` | `write_string​(String value)` | Writes a string value to this stream.
    `abstract void` | `write_TypeCode​(TypeCode value)` | Writes a TypeCode on this output stream.
    `abstract void` | `write_ulong​(int value)` | Writes an unsigned CORBA long (i.e.
    `abstract void` | `write_ulong_array​(int[] value, int offset, int length)` | Writes an array of unsigned CORBA longs (i.e.
    `abstract void` | `write_ulonglong​(long value)` | Writes an unsigned CORBA longlong (i.e.
    `abstract void` | `write_ulonglong_array​(long[] value, int offset, int length)` | Writes an array of unsigned CORBA longlongs (i.e.
    `abstract void` | `write_ushort​(short value)` | Writes an unsigned short value to this stream.
    `abstract void` | `write_ushort_array​(short[] value, int offset, int length)` | Writes an array of unsigned shorts on this output stream.
    `abstract void` | `write_wchar​(char value)` | Writes a wide char value to this stream.
    `abstract void` | `write_wchar_array​(char[] value, int offset, int length)` | Writes an array of wide chars on this output stream.
    `abstract void` | `write_wstring​(String value)` | Writes a wide string value to this stream.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in class java.io.OutputStream

      `close, flush, write, write`

- - ### Constructor Detail

    - #### OutputStream

          public OutputStream()

  - ### Method Detail

    - #### create_input_stream

          public abstract InputStream create_input_stream()

      Returns an input stream with the same buffer.
      Returns:
        an input stream with the same buffer.

    - #### write_boolean

          public abstract void write_boolean​(boolean value)

      Writes a boolean value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_char

          public abstract void write_char​(char value)

      Writes a char value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_wchar

          public abstract void write_wchar​(char value)

      Writes a wide char value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_octet

          public abstract void write_octet​(byte value)

      Writes a CORBA octet (i.e. byte) value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_short

          public abstract void write_short​(short value)

      Writes a short value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_ushort

          public abstract void write_ushort​(short value)

      Writes an unsigned short value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_long

          public abstract void write_long​(int value)

      Writes a CORBA long (i.e. Java int) value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_ulong

          public abstract void write_ulong​(int value)

      Writes an unsigned CORBA long (i.e. Java int) value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_longlong

          public abstract void write_longlong​(long value)

      Writes a CORBA longlong (i.e. Java long) value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_ulonglong

          public abstract void write_ulonglong​(long value)

      Writes an unsigned CORBA longlong (i.e. Java long) value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_float

          public abstract void write_float​(float value)

      Writes a float value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_double

          public abstract void write_double​(double value)

      Writes a double value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_string

          public abstract void write_string​(String value)

      Writes a string value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_wstring

          public abstract void write_wstring​(String value)

      Writes a wide string value to this stream.
      Parameters:
        `value` - the value to be written.

    - #### write_boolean_array

          public abstract void write_boolean_array​(boolean[] value,
                                                   int offset,
                                                   int length)

      Writes an array of booleans on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_char_array

          public abstract void write_char_array​(char[] value,
                                                int offset,
                                                int length)

      Writes an array of chars on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_wchar_array

          public abstract void write_wchar_array​(char[] value,
                                                 int offset,
                                                 int length)

      Writes an array of wide chars on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_octet_array

          public abstract void write_octet_array​(byte[] value,
                                                 int offset,
                                                 int length)

      Writes an array of CORBA octets (bytes) on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_short_array

          public abstract void write_short_array​(short[] value,
                                                 int offset,
                                                 int length)

      Writes an array of shorts on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_ushort_array

          public abstract void write_ushort_array​(short[] value,
                                                  int offset,
                                                  int length)

      Writes an array of unsigned shorts on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_long_array

          public abstract void write_long_array​(int[] value,
                                                int offset,
                                                int length)

      Writes an array of CORBA longs (i.e. Java ints) on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_ulong_array

          public abstract void write_ulong_array​(int[] value,
                                                 int offset,
                                                 int length)

      Writes an array of unsigned CORBA longs (i.e. Java ints) on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_longlong_array

          public abstract void write_longlong_array​(long[] value,
                                                    int offset,
                                                    int length)

      Writes an array of CORBA longlongs (i.e. Java longs) on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_ulonglong_array

          public abstract void write_ulonglong_array​(long[] value,
                                                     int offset,
                                                     int length)

      Writes an array of unsigned CORBA longlongs (i.e. Java ints) on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_float_array

          public abstract void write_float_array​(float[] value,
                                                 int offset,
                                                 int length)

      Writes an array of floats on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_double_array

          public abstract void write_double_array​(double[] value,
                                                  int offset,
                                                  int length)

      Writes an array of doubles on this output stream.
      Parameters:
        `value` - the array to be written.
        `offset` - offset on the stream.
        `length` - length of buffer to write.

    - #### write_Object

          public abstract void write_Object​(Object value)

      Writes a CORBA Object on this output stream.
      Parameters:
        `value` - the value to be written.

    - #### write_TypeCode

          public abstract void write_TypeCode​(TypeCode value)

      Writes a TypeCode on this output stream.
      Parameters:
        `value` - the value to be written.

    - #### write_any

          public abstract void write_any​(Any value)

      Writes an Any on this output stream.
      Parameters:
        `value` - the value to be written.

    - #### write_Principal

          @Deprecated
          public void write_Principal​(Principal value)

      Deprecated.
      Deprecated by CORBA 2.2.
      Writes a Principle on this output stream.
      Parameters:
        `value` - the value to be written.

    - #### write

          public void write​(int b)
                     throws IOException

      Writes an integer (length of arrays) onto this stream.
      Specified by:
        `write` in class `OutputStream`
      Parameters:
        `b` - the value to be written.
      Throws:
        `IOException` - if there is an input/output error
      See Also:
        `portable` package comments for unimplemented features

    - #### write_fixed

          public void write_fixed​(BigDecimal value)

      Writes a BigDecimal number.
      Parameters:
        `value` - a BidDecimal--value to be written.

    - #### write_Context

          public void write_Context​(Context ctx,
                                    ContextList contexts)

      Writes a CORBA context on this stream. The Context is marshaled as a sequence of strings. Only those Context values specified in the contexts parameter are actually written.
      Parameters:
        `ctx` - a CORBA context
        `contexts` - a `ContextList` object containing the list of contexts to be written
      See Also:
        `portable` package comments for unimplemented features

    - #### orb

          public ORB orb()

      Returns the ORB that created this OutputStream.
      Returns:
        the ORB that created this OutputStream
      See Also:
        `portable` package comments for unimplemented features